MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023140Community[OCCT] OCCT:Modeling Algorithmspublic2012-05-06 19:382012-11-16 13:18
ReporterQbProg 
Assigned Toaba 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023140: Suspicious if
Descriptionsrc\BRepFill\BRepFill_TrimEdgeTool.cxx , line 0000183

if(AC.GetType() != GeomAbs_Circle || AC.GetType() != GeomAbs_Line) {
    Tol *= 100.;
  }

Condition is always true, I don't know if the original intention was to agument the tolerance only for cicle and lines, or the opposite
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023132closedomy Suspicious code snippets 

-  Notes
(0021812)
aba (developer)
2012-10-17 10:45

Condition that is always true was replaced with assigning a variable 'Tol' to Precision::Confusion().

The Git branch CR23140 is ready to be reviewed.
Dear oan, please review.
(0021870)
oan (developer)
2012-10-22 09:55

Dear JGV,
please review.
(0021906)
jgv (developer)
2012-10-23 15:54

No remarks
(0022004)
apn (administrator)
2012-10-30 11:12

Dear BugMaster,
Branch CR23140 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

- Related Changesets
occt: master 5768cd55
Timestamp: 2012-10-17 06:38:08
Author: aba
Details ] Diff ]
0023140: Suspicious if

Condition that is always true was replaced on assigning a variable 'Tol' to Precision::Confusion.
mod - src/BRepFill/BRepFill_TrimEdgeTool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-05-06 19:38 QbProg New Issue
2012-05-06 19:38 QbProg Assigned To => jgv
2012-05-07 09:16 abv Relationship added child of 0023132
2012-05-07 09:31 abv Assigned To jgv => dbv
2012-05-07 09:31 abv Status new => assigned
2012-05-07 09:31 abv Target Version => 6.5.4
2012-10-09 18:35 oan Assigned To dbv => aba
2012-10-17 10:45 aba Note Added: 0021812
2012-10-17 10:45 aba Status assigned => resolved
2012-10-17 10:46 aba Assigned To aba => oan
2012-10-22 09:55 oan Note Added: 0021870
2012-10-22 09:56 oan Assigned To oan => jgv
2012-10-23 15:54 jgv Note Added: 0021906
2012-10-23 15:54 jgv Status resolved => reviewed
2012-10-23 16:24 mkv Assigned To jgv => mkv
2012-10-30 11:12 apn Note Added: 0022004
2012-10-30 11:12 apn Test case number => Not needed
2012-10-30 11:12 apn Assigned To mkv => bugmaster
2012-10-30 11:12 apn Status reviewed => tested
2012-11-06 19:02 aba Changeset attached => occt master 5768cd55
2012-11-06 19:03 aba Assigned To bugmaster => aba
2012-11-06 19:03 aba Status tested => verified
2012-11-06 19:03 aba Resolution open => fixed
2012-11-16 13:13 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:18 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker